#!/usr/bin/perl 

use strict;
use warnings;

use FindBin;
use lib "$FindBin::Bin/lib";

$ENV{DBIC_TRACE} = 1;

use DB::Main;

my %connect_info = (
	database => undef,
	host => undef,
	port => undef,
);
my $user = undef;
my $pass = undef;
my %dbi_params = (
);

my $dbi_dsn = "dbi:Pg:" . join(";",
	map { ($_ => $connect_info{$_}) }
		grep { defined $connect_info{$_} }
			keys %connect_info
);
my $schema = DB::Main->connect($dbi_dsn, $user, $pass, \%dbi_params);


my $first_artist = $schema->resultset('Artist')->search(
	{
	},
	{     
		select => [ \'1 AS one' ],
		distinct => 1,
	}     
)->first;
